using Sepehr.ApiGateway.Partners.Contracts.Flight.Availability.V12.ActiveRoutes.Charter.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.Availability.V12.ActiveRoutes.Charter.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Availability.WebApi.ActiveRoutes
{
    public class CharterActiveRoutesApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/Availability/V12/ActiveRoutes/GetCharterActiveRoutes",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
